From 513deb19f4741e717f73d0ba6163331107cfb616 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Wed, 2 Oct 2019 12:08:37 -0500
Subject: [PATCH v1] Indent and repeat name of library failing to load

---
 src/bin/pg_upgrade/function.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/src/bin/pg_upgrade/function.c b/src/bin/pg_upgrade/function.c
index 0c66d1c..68d3634 100644
--- a/src/bin/pg_upgrade/function.c
+++ b/src/bin/pg_upgrade/function.c
@@ -255,9 +255,16 @@ check_loadable_libraries(void)
 			PQclear(res);
 		}
 
-		if (was_load_failure)
-			fprintf(script, _("Database: %s\n"),
+		if (was_load_failure) {
+			/*
+			 * Having probed that the library failed to load once,
+			 * assume that it won't load in any DB and output each
+			 * DB which would try to load it.
+			 */
+			fprintf(script, _(" - database loading %s: %s\n"),
+					lib,
 					old_cluster.dbarr.dbs[os_info.libraries[libnum].dbnum].db_name);
+		}
 	}
 
 	PQfinish(conn);
-- 
2.7.4

